sequence-class {arf3DS4} | R Documentation

## arf3DS4 "sequence" class

### Description

The arf3DS4 "sequence" class contains information of a sequence of fitted models. It can be used to assess the relative fit between models and decide which model fits best.

### Objects

Objects can be created by calls of the form `new("sequence", ...)`.

### Slots

`best`:

  Which model currently fits the best?

`current`:

  The current model number in the sequence (not used).

`regions`:

  Vector of number-of-regions to in the fitted sequence.

`mnames`:

  Vector of modelnames of the sequence.

`fit`:

  Vector of fit indices for each model.

`minimum`:

  Vector of minima for each model.

`valid`:

  Logical vector indicating valid models.

### Methods

Standard arf3DS4 accessor and replacement functions can be used to access and replace slots.

access

  `.classname.slotname(object)`

replace

  `.classname.slotname(object)<-`

In this case classname is "sequence" and slotname is for example "fit". So to access the "fit" slot of an r-object "mysequence" (of class "sequence") type `.sequence.fit(mysequence)`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`minBIC`, `fitRange`

### Examples

    showClass("sequence")

[Package arf3DS4 version 2.5-10 Index]